PHP 手册
上一页 |  | 下一页

# filter_var

(no version information, might be only in CVS)

filter_var -- Filters a variable with a specified filter

## 说明

mixed filter_var ( mixed variable [, int filter [, mixed options]] )

## 参数

`variable`

  Value to filter, arrays are filtered recursively.

`filter`

  ID of a filter to use. Defaults to `FILTER_SANITIZE_STRING`.

`options`

  Associative array of options or bitwise disjunction of flags. If filter accepts options, flags can be provided in "flags" field of array. For the "callback" filter, callback type should be passed.

## 返回值

Returns the filtered data, or `FALSE` if the filter fails.

## 范例

例 1. A filter_var() example

`<?php var_dump(filter_var('bob@example.com', FILTER_VALIDATE_EMAIL)); var_dump(filter_var('example.com', FILTER_VALIDATE_URL, FILTER_FLAG_SCHEME_REQUIRED)); ?>`

上例将输出：

    string(15) "bob@example.com"
    bool(false)

## 参见

filter_var_array()
filter_input()
filter_input_array()
有关 callback 类型的信息

上一页 | 起始页 | 下一页
filter_var_array | 上一级 | Firebird/InterBase Functions